// var global
// se fosse no css, precisaria ser colocado em um escopo explícito - o :root {--varName: value;}
// feito dessa forma nativa do css, há o problema da variável css poder ser alterada via JS
// essas variáveis nativas do css só funcionam em navegadores mais recentes
$my-var: 50px;
$my-var3: blue;

.my-class {
  $my-var2: red; // var local

  margin-top: $my-var;
  // se fosse no css, seria chamado assim:
  // margin-top: var(--varName);
  color: $my-var2;
}
.my-class2 {
  margin-bottom: $my-var;
  // color: $my-var2; // dá erro, pois não há variável local nesse escopo nem global com esse nome
  $my-var3: green !default; // a flag !default está indicando: 'se já houver um valor inicialmente declarado nessa propriedade ou variável, use-o, ao invés deste declarado aqui'.
  color: $my-var3;
}
